#include <fstream.h>
#include <stream.h>
#include <strstream.h>
#include <stream.h>
#include "external.h"
#include "evaluation.h"

database* DATABASE;

optimizer_init ();

parse_sql();

test_foreign_keys ();

int main (int argc,char* arg[]) {
  optimizer_init();
  ifstream from("database");
  if (!from) DATABASE = new database();
  else { from.close(); DATABASE = new database(new string("database")); };
  parse_sql();
  DATABASE->close(new string("database"));
};
